Skip to main content
POST
/
customers
/
update
Update Customer
curl --request POST \
  --url https://api.nuwebgroup.com/v1/customers/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "123",
  "name": "John Doe",
  "email": "email@example.com",
  "password": "SecurePassword123",
  "dob": "1990-01-01",
  "addressLine1": "16 Crookes Avenue",
  "addressLine2": "Walkley Park",
  "postcode": "LN4 2SJ",
  "city": "London",
  "region": "Greater London",
  "countryId": "225",
  "phone": "1234567890",
  "phoneCode": 33
}
'
{
  "data": {
    "type": "customers",
    "id": 1,
    "attributes": {
      "name": "John Doe",
      "email": "john.doe@example.com",
      "phone": null,
      "phoneCode": null,
      "fullPhoneNumber": null,
      "img": null,
      "locale": null,
      "dob": "1980-01-01 00:00:00",
      "addressLine1": "16 School Road",
      "addressLine2": "Crookes",
      "postcode": "S10 8BH",
      "createdAt": "2021-11-22T11:59:00.000000Z",
      "updatedAt": "2021-11-22T11:59:00.000000Z"
    },
    "links": {
      "self": "http://api.willms.com/v1/customer?id=5"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request body for updating a customer

id
string
name
string
email
string
password
string
dob
string
addressLine1
string
addressLine2
string
postcode
string
city
string
region
string
countryId
string
phone
string
phoneCode
integer | null

Response

Successfully updated the customer.

data
object